module.exports = {
  "html": {
    port: 3000,
    address: "localhost",
    language: "html",
    compiler: "html",
    tester: "jest",
    ignoreRegex: /.*\.js/gm,
    editor: "standalone",
    outputPath: './.breathecode/dist',
    publicPath: '/preview',
    actions: ['build', 'test'],
    grading: 'isolated',
  },
  "css": {
    port: 3000,
    address: "localhost",
    language: "css",
    compiler: "webpack",
    tester: "jest",
    editor: "standalone",
    outputPath: './.breathecode/dist',
    publicPath: '/preview',
    ignoreRegex: /.*\.js/gm,
    actions: ['build', 'test'],
    grading: 'isolated',
  },
  "vanillajs": {
    port: 3000,
    address: "localhost",
    language: "vanillajs",
    compiler: "webpack",
    tester: "jest",
    editor: "standalone",
    outputPath: './.breathecode/dist',
    publicPath: '/preview',
    ignoreRegex: null,
    grading: 'isolated',
    actions: ['build', 'test']
  },
  "react": {
    port: 3000,
    address: "localhost",
    language: "react",
    compiler: "webpack",
    tester: "jest",
    editor: "standalone",
    outputPath: './.breathecode/dist',
    publicPath: '/preview',
    template: __dirname + '/template.html',
    ignoreRegex: null,
    grading: 'isolated',
    actions: ['build', 'test']
  },
  "python3": {
    port: 3000,
    address: "localhost",
    language: "python3",
    compiler: "python3",
    tester: "pytest",
    editor: "standalone",
    ignoreRegex: null,
    grading: 'isolated',
    actions: ['run', 'test']
  },
  "node": {
    port: 3000,
    address: "localhost",
    language: "node",
    compiler: "node",
    tester: "jest",
    editor: "standalone",
    ignoreRegex: null,
    grading: 'isolated',
    actions: ['run', 'test']
  },
  "java": {
    port: 3000,
    address: "localhost",
    language: "java",
    compiler: "java",
    tester: "junit",
    editor: "standalone",
    ignoreRegex: null,
    grading: 'isolated',
    actions: ['run', 'test']
  }
}
